﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;

namespace TestWebSite
{
    public class Persona
    {
        public string Nombre { get; set; }
        public string Apellido { get; set; }
        public DateTime Nacimiento { get; set; }
        public int Edad
        {
            get { return DateTime.Now.Year - Nacimiento.Year; }
        }
        public bool Fuma { get; set; }
        public List<Mascota> Perros
        {
            get
            {
                List<Mascota> res = new List<Mascota>();
                for (int i = 0; i < 10; i++)
                {
                    res.Add(new Mascota() { Nombre= "Perro " + i, FechaNacimiento = DateTime.Now.AddYears(-i) });
                }
                return res;
            }
        }
        public List<Mascota> Gatos
        {
            get
            {
                List<Mascota> res = new List<Mascota>();
                for (int i = 0; i < 10; i++)
                {
                    res.Add(new Mascota() { Nombre = "Gato " + i, FechaNacimiento = DateTime.Now.AddYears(-i) });
                }
                return res;
            }
        }
    }
}